[Overview][Classes][Index] | Reference for unit 'IniFiles' (#fcl)

# TCustomIniFile.ReadInteger

Read an integer value from the file

## Declaration

Source position: inifiles.pp line 134

`public function TCustomIniFile.ReadInteger(`
`const Section: string;`
`const Ident: string;`
`Default: LongInt`
`):LongInt; virtual;`

## Arguments

`Section` |  | Section to read Ident from
`Ident` |  | Name of key to retrieve value from
`Default` |  | Default value to return when the key Ident does not exist.

## Function result

Value of Ident as an integer.

## Description

ReadInteger reads the key Ident in section Section, and returns the value as an integer. If the specified key or section do not exist, then the value in Default is returned. If the key exists, but contains an invalid integer value, Default is also returned.

## See also

WriteInteger |  | Write an integer value
ReadString |  | Read a string valued key
ReadBool |  |
ReadDate |  | Read a date value
ReadDateTime |  | Read a Date/Time value
ReadTime |  | Read a time value
ReadFloat |  | Read a floating point value
ReadBinaryStream |  | Read binary data

Documentation generated on: Feb 26 2014